Skip to main content
PUT
/
api
/
v1
/
invoice
/
{invoice_uuid}
/
line-items
/
{line_item_uuid}
Line Item Update Api
curl --request PUT \
  --url https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Product A",
  "description": "Detailed description of the product or service",
  "quantity": 2,
  "unit_price": 100,
  "flat_fee": 10,
  "discount_amount": 5,
  "discount_percent": 10,
  "tax_rate": 10,
  "tax_name": "Sales Tax",
  "service_start_date": "2024-03-01",
  "service_end_date": "2024-03-31",
  "display_order": 2
}
'
import requests

url = "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}"

payload = {
"name": "Product A",
"description": "Detailed description of the product or service",
"quantity": 2,
"unit_price": 100,
"flat_fee": 10,
"discount_amount": 5,
"discount_percent": 10,
"tax_rate": 10,
"tax_name": "Sales Tax",
"service_start_date": "2024-03-01",
"service_end_date": "2024-03-31",
"display_order": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Product A',
description: 'Detailed description of the product or service',
quantity: 2,
unit_price: 100,
flat_fee: 10,
discount_amount: 5,
discount_percent: 10,
tax_rate: 10,
tax_name: 'Sales Tax',
service_start_date: '2024-03-01',
service_end_date: '2024-03-31',
display_order: 2
})
};

fetch('https://api.justpaid.io/api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "unit_price": 123,
  "quantity": 1,
  "amount": 123,
  "currency": "USD",
  "description": "<string>",
  "flat_fee": 123,
  "tax_rate": 0,
  "tax_amount": 0,
  "tax_name": "<string>",
  "discount_amount": 123,
  "discount_percent": 123,
  "service_start_date": "2023-12-25",
  "service_end_date": "2023-12-25",
  "display_order": 123
}
{}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uuid
string
required
line_item_uuid
string
required

Body

application/json

Input schema for updating a line item (all fields optional).

name
string | null

Name of the line item

Example:

"Product A"

description
string | null

Additional details about the line item

Example:

"Detailed description of the product or service"

quantity
integer | null

Quantity of units

Required range: x >= 1
Example:

2

unit_price
number | null

Price per unit

Example:

100

flat_fee
number | null

Fixed flat fee amount

Example:

10

discount_amount
number | null

Discount amount in currency

Example:

5

discount_percent
number | null

Discount percentage (0-100)

Required range: 0 <= x <= 100
Example:

10

tax_rate
number | null

Tax rate percentage (0-100). Updating triggers amount recalculation.

Required range: 0 <= x <= 100
Example:

10

tax_name
string | null

Name of the tax applied

Example:

"Sales Tax"

service_start_date
string<date> | null

Service period start date

Example:

"2024-03-01"

service_end_date
string<date> | null

Service period end date

Example:

"2024-03-31"

display_order
integer | null

Display order for line item

Required range: x >= 1

Response

Line item updated successfully

Output schema for invoice line items with UUID for external API.

uuid
string<uuid>
name
string | null
Maximum string length: 255
unit_price
number | null
quantity
integer | null
default:1
amount
number | null
currency
string | null
default:USD
Maximum string length: 3
description
string | null

The description of the line item

flat_fee
number | null

Fixed flat fee added to the line item amount

tax_rate
number | null
default:0
tax_amount
number | null
default:0
tax_name
string | null
Maximum string length: 255
discount_amount
number | null
discount_percent
number | null
service_start_date
string<date> | null

The date the service starts for the item

service_end_date
string<date> | null

The date the service ends for the item

display_order
integer | null

The order in which the line item will be displayed in the UI/pdf